Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 1211243014: iSAC: Pad with zeros instead of random data, to make testing easier (Closed)

Created:
3 years, 11 months ago by kwiberg-webrtc
Modified:
3 years, 11 months ago
CC:
hlundin-webrtc, tterriberry_mozilla.com, webrtc-reviews_webrtc.org
Base URL:
https://chromium.googlesource.com/external/webrtc.git@master
Target Ref:
refs/pending/heads/master
Project:
webrtc
Visibility:
Public.

Description

iSAC: Pad with zeros instead of random data, to make testing easier Using random "garbage" bytes makes testing harder for no good reason. Any deterministic sequence would do, but we choose all zeros because it's simple. Committed: https://crrev.com/f4eca64596f8d29eeaedd9365177d8004a0cac4a Cr-Commit-Position: refs/heads/master@{#9532}

Patch Set 1 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+4 lines, -3 lines) Patch
M webrtc/modules/audio_coding/codecs/isac/main/source/isac.c View 1 chunk +4 lines, -3 lines 0 comments Download

Dependent Patchsets:

Messages

Total messages: 13 (4 generated)
kwiberg-webrtc
I need the determinism part of this for another CL. iSACfix is already deterministic, since ...
3 years, 11 months ago (2015-07-01 13:56:55 UTC) #4
turaj
On 2015/07/01 13:56:55, kwiberg1 wrote: > I need the determinism part of this for another ...
3 years, 11 months ago (2015-07-01 14:15:19 UTC) #5
kwiberg-webrtc
On 2015/07/01 14:15:19, turaj wrote: > On 2015/07/01 13:56:55, kwiberg1 wrote: > > I need ...
3 years, 11 months ago (2015-07-01 14:51:51 UTC) #6
turaj
lgtm
3 years, 11 months ago (2015-07-01 17:54:38 UTC) #7
tlegrand-webrtc
On 2015/07/01 at 14:15:19, turaj wrote: > On 2015/07/01 13:56:55, kwiberg1 wrote: > > I ...
3 years, 11 months ago (2015-07-02 08:16:33 UTC) #8
tlegrand-webrtc
lgtm
3 years, 11 months ago (2015-07-02 08:16:38 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1211243014/20001
3 years, 11 months ago (2015-07-02 08:28:11 UTC) #11
commit-bot: I haz the power
Committed patchset #1 (id:20001)
3 years, 11 months ago (2015-07-02 09:10:13 UTC) #12
commit-bot: I haz the power
3 years, 11 months ago (2015-07-02 09:10:19 UTC) #13
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/f4eca64596f8d29eeaedd9365177d8004a0cac4a
Cr-Commit-Position: refs/heads/master@{#9532}

Powered by Google App Engine
This is Rietveld 408576698